<template>
  <div class="bole-calendar-wrapper">
    <div class="bole-calendar-inner">
      <nut-calendar-card v-model="model" class="bole-calendar"></nut-calendar-card>
    </div>
    <div class="bole-calendar-arrow">
      <DownArrow :size="12" />
    </div>
  </div>
</template>

<script setup lang="ts">
import { DownArrow } from '@nutui/icons-vue-taro';

defineOptions({
  name: 'Calendar',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});
const model = defineModel<Date | Date[]>();
</script>

<style lang="scss">
@import '@/styles/common.scss';

.bole-calendar-wrapper {
  .bole-calendar {
    background-color: transparent;
  }

  .bole-calendar-inner {
    height: 500px;
    overflow: hidden;
  }

  .bole-calendar-arrow {
    display: flex;
    justify-content: center;
  }
}
</style>
